import { AnnotationLayer } from "./AnnotationLayer";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { DependencyProperty } from "igniteui-angular-core";
import { Series } from "./Series";
import { CategoryHighlightLayerFrame } from "./CategoryHighlightLayerFrame";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { Frame } from "./Frame";
import { CategoryHighlightFrameRect } from "./CategoryHighlightFrameRect";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { Pool$1 } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { Brush } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CategoryHighlightLayer extends AnnotationLayer {
    static $t: Type;
    protected bj(): Series;
    protected get_er(): boolean;
    constructor();
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    protected zw: CategoryHighlightLayerView;
    zv: CategoryAxisBase;
    zy: boolean;
    get zz(): number;
    set zz(a: number);
    static readonly z6: DependencyProperty;
    protected ym(a: Axis, b: boolean): void;
    private zx;
    protected yp(a: Frame, b: SeriesView): void;
    private z4;
    z3(a: Rect, b: CategoryHighlightLayerFrame, c: Axis): void;
    protected ys(a: Frame, b: SeriesView): void;
    protected ga(): boolean;
    z5(a: CategoryHighlightFrameRect, b: Rectangle): void;
    protected q7(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryHighlightLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryHighlightLayer);
    protected b7: CategoryHighlightLayer;
    b8: Pool$1<Rectangle>;
    au(): void;
    protected b9: List$1<Rectangle>;
    private cg;
    private cb;
    private cd;
    private cc;
    ce(a: Brush): Brush;
    cf(a: Brush): Brush;
    ca(a: Rectangle, b: number, c: number, d: number, e: number): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
